
From: Matt Mackall <mpm@selenic.com>

CONFIG_BASE_SMALL reduce UID lookup hash

Signed-off-by: Matt Mackall <mpm@selenic.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/user.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN kernel/user.c~base-small-shrink-uid-hash kernel/user.c
--- 25/kernel/user.c~base-small-shrink-uid-hash	2005-03-07 20:41:45.000000000 -0800
+++ 25-akpm/kernel/user.c	2005-03-07 20:41:45.000000000 -0800
@@ -18,7 +18,8 @@
  * UID task count cache, to get fast user lookup in "alloc_uid"
  * when changing user ID's (ie setuid() and friends).
  */
-#define UIDHASH_BITS		8
+
+#define UIDHASH_BITS (CONFIG_BASE_SMALL ? 3 : 8)
 #define UIDHASH_SZ		(1 << UIDHASH_BITS)
 #define UIDHASH_MASK		(UIDHASH_SZ - 1)
 #define __uidhashfn(uid)	(((uid >> UIDHASH_BITS) + uid) & UIDHASH_MASK)
_
